.attendance
  &-header
    height: 81px
    width: 100%
    background: #fff
    box-shadow: 1px 0 0 0 #F2F2F2
    padding: 0 50px
    p
      height: 13px
      width: 100%
      color: $head-link
      font-size: 11px
      letter-spacing: 0.07px
      line-height: 13px
    h1
      margin-top: 10px
  &-body
    height: 100%
    margin: 40px 50px
    display: flex
    flex-wrap: wrap
    @media all and (max-width : 1661px)
      justify-content: center
      max-width: 900px
      margin: 40px auto
      height: auto
  &-calendar
    width: 645px
    .month-header
      height: 60px
      width: 100%
      border: 1px solid $payment-table-border
      border-radius: 3px 3px 0 0
      background-color: #FFFFFF
      box-shadow: 0 1px 2px 0 $box-shadow
      position: relative
      box-sizing: border-box
      &-controls
        height: 60px
        div
          box-sizing: border-box
          display: flex
          height: 100%
          align-items: center
          justify-content: center
          & > p
            color: $head-link
            font-size: 18px
            font-weight: 600
            letter-spacing: 0.34px
            line-height: 27px
            text-transform: uppercase
            display: inline-block
          button
            height: 26px
            width: 27px
            border-radius: 50%
            border: none
            background-color: $button-primary
            position: relative
            margin: 0 20px
            cursor: pointer
            &.next span
              transform: rotate(135deg)
              margin-right: 4px
            &.prev span
              transform: rotate(-45deg)
              margin-left: 4px
            span
              display: inline-block
              border-top: 1px solid #ffffff
              border-left: 1px solid #ffffff
              width: 8px
              height: 8px
      .today
        width: 96px
        border-radius: 10px
        position: absolute
        top: 18px
        right: 15px
    .calendar-row
      display: flex
      width: 100%
      border-bottom: 1px solid $payment-table-border
      & > div
        width: calc(100% / 7)
        border-left: 1px solid $payment-table-border
        box-shadow: 0 1px 2px 0 $box-shadow
        &:last-child
          border-right: 1px solid $payment-table-border
      .DayOfWeek
        height: 41px
        background-color: $button-primary
        display: flex
        justify-content: center
        align-items: center
        color: #FFFFFF
        font-size: 15px
        font-weight: 600
        letter-spacing: 0.29px
        line-height: 23px
        text-align: center
      .Day
        height: 80px
        background-color: #FFFFFF
        display: flex
        justify-content: flex-end
        padding: 5px
        cursor: pointer
        box-sizing: border-box
        &.today button
          background-color: $gray-menu-font
          color: #ffffff
        &.selected button
          background-color: $chosen-day-background
          color: #ffffff
        &.other-month
          background-color: $key-word-background
        button
          height: 32px
          width: 32px
          border: none
          border-radius: 50%
          color: $head-link
          font-size: 15px
          font-weight: 600
          letter-spacing: 0.29px
          line-height: 23px
          cursor: pointer
          background: none
  &-table
    width: 645px
    margin-left: 30px
    @media all and (max-width : 1661px)
      margin-left: 0
      margin-top: 30px
    &-header
      width: 100%
      box-sizing: border-box
      height: 60px
      border: 1px solid #DFE2E5
      border-radius: 3px 3px 0 0
      background-color: #FFFFFF
      box-shadow: 0 1px 2px 0 $box-shadow
      display: flex
      align-items: center
      justify-content: space-between
      padding: 0 33px 0 15px

      .select-field, .select-button
        height: 24px
        width: 150px
      .select-button
        span
          max-height: 22px
          overflow: hidden
          font-weight: 100
      .select-list
        top: 25px
        max-width: 250px
        display: flex
        flex-direction: column
        overflow: hidden
        input
          height: 20px
          border: 1px solid $payment-table-border
          border-radius: 5px
          background-color: #FFFFFF
          box-shadow: 0 1px 2px 0 $box-shadow
          margin: 10px 7px 5px
          font-size: 13px
          padding-left: 5px
      &-subject
        display: flex
        span
          color: $profile-title
          font-size: 15px
          letter-spacing: 0.29px
          line-height: 23px
          margin-right: 10px

    &-body
      box-sizing: border-box
      max-height: 65vh
      width: 645px
      border: 1px solid $payment-table-border
      border-radius: 0 0 3px 3px
      background-color: #FFFFFF
      overflow: auto
      &.empty
        min-height: 447px
        display: flex
        justify-content: center
        align-items: center
      &.load
        display: flex
        justify-content: center
        align-items: center
        min-height: 447px
        .spinner, .spinner:before, .spinner:after
          color: $button-primary
          background: $button-primary
    &-footer
      width: 100%
      box-sizing: border-box
      height: 60px
      border: 1px solid #DFE2E5
      border-top: none
      border-radius: 3px 3px 0 0
      background-color: #FFFFFF
      box-shadow: 0 1px 2px 0 $box-shadow
      display: flex
      align-items: center
      justify-content: flex-end
      padding: 0 33px 0 15px
      button
        margin-left: 25px
        cursor: pointer
  &-row
    min-height: 60px
    display: flex
    box-sizing: border-box
    padding: 10px 15px 10px 20px
    align-items: center
    border-bottom: 1px solid $gray-border
    .react-start-wrapper
      position: relative
      &.block:after
        content: ''
        position: absolute
        left: 0
        top: 0
        width: 100%
        height: 100%
    .mark
      height: 24px
      width: 100px
      font-weight: 600
      font-size: 15px
      text-align: center
      padding-top: 5px
      box-sizing: border-box
    &.past
      .select-button
        border: none
        cursor: auto
        font-size: 15px
        font-weight: 600
        img
          opacity: 0

    button
      cursor: pointer
    .select-field
      width: 100px
      margin: 0 15px
    .select-button
      height: 24px
      width: 100px
    .select-list
      min-width: 100px
      top: 25px
      left: 15px
    &-user
      width: 180px
      padding-right: 10px
      display: flex
      align-items: center
      overflow: hidden
      margin-right: 5px
      & > span
        color: $head-link
        font-size: 15px
        letter-spacing: 0.29px
        line-height: 23px
  &-stars
    margin-left: 30px




